Subject: bug#45428: 27.1; (quote (quote (quote ...))) unexpectedly works as anonymous face

From: Eli Zaretskii <[email-masked]>
Date: Sun, 27 Dec 2020 19:52:47 +0200

> From: Markus Triska <[email-masked]>
> Date: Sun, 27 Dec 2020 09:38:32 +0100
> Cc: Lars Ingebrigtsen <[email-masked]>, Stefan Kangas <[email-masked]>,
>  [email-masked]
> 
> In my own configuration and Emacs Lisp programs, I would strongly prefer
> to rely only on documented features of Emacs, and I would like Emacs to
> at least warn me if my code starts to rely on features that are not
> officially supported and hence may change more readily in the future.

You should indeed rely on documented behavior.  But that doesn't mean
Emacs cannot have undocumented behavior, especially when it is a side
effect of the specific implementation of some documented feature.